library(shiny)

shinyUI(fluidPage(

  titlePanel("Confidence Interval Illustration"),
  
  
  sidebarLayout(
      sidebarPanel(
         HTML("<a class='btn' href='/'><b>Start Over!</b></a><br>&nbsp;<br>"),
         sliderInput("n",HTML("<h4>Sample Size n</h4>"), 
             min = 10, max = 200, value=50,step=10),
         sliderInput("mu",HTML("<h4>Population Mean &mu;</h4>"),
             min=0, max=200, value=100,step=5),             
         sliderInput("sigma",HTML("<h4>Population Standard Deviation &sigma;</h4>"),
             min=5, max=50, value=25,step=5),
         selectInput("alpha", HTML("<h4>Desired Confidence  Level &alpha;</h4>"), 
                  choices = c(68,90,95,99,99.9), selected = 90),
         conditionalPanel( condition = "input.mytabs == 'Single Example'",         
              sliderInput("step",HTML("<h4>Step</h4>"),
                  min=0, max=9, value=0,step=1,animate=animationOptions(interval = 3000))),
         uiOutput("appinfo"),width=3
        ),
  mainPanel(
      tabsetPanel(
          tabPanel("Single Example",uiOutput("table2")),
          tabPanel("Many Examples",uiOutput("table1")),
          id="mytabs"
      )
    )
  ),    
  uiOutput("explainText")    
))

